#!/bin/bash
### init the DB tables of the application

### go to this directory
cd $(dirname $0)

### get the database connection parameters
. ../hsmanager.cfg

### create the database and user
echo "
DROP DATABASE IF EXISTS $appdb_name;
CREATE DATABASE $appdb_name;
GRANT ALL ON $appdb_name.* 
    TO '$appdb_user'@'$appdb_allowed_hosts' IDENTIFIED BY '$appdb_pass';
" | mysql --host="$appdb_host" \
          --user="$appdb_adminuser" \
          --password="$appdb_adminpass" 

### create the tables and some initial data
mysql --host="$appdb_host" \
      --user="$appdb_user" \
      --password="$appdb_pass" \
      --database="$appdb_name" < database.sql

### regenerate the file config/const.DB.php
cat <<EOF > ../config/const.DB.php
<?php
/**
 * Parameters for connecting to the database of the application.
 * Generated by the script 'db/init.sh'.
 */
define('DBHOST', '$appdb_host');
define('DBUSER', '$appdb_user');
define('DBPASS', '$appdb_pass');
define('DBNAME', '$appdb_name');
?>
EOF
